authors:
  - name: Adrian Wolny
  - name: Lorenzo Cerrone
cite:
  - text: >-
      Wolny, Cerrone et al. Accurate and Versatile 3D Segmentation of Plant
      Tissues at Cellular Resolution. eLife 2020.
    url: https://elifesciences.org/articles/57613
covers:
  - raw.png
  - pred.png
description: >-
  A 3D U-Net trained to predict the cell boundaries in lightsheet stacks of
  Arabidopsis Lateral Root Primordia. (0.25x0.1625x0.1625) microns ZYX
documentation: unet3d.md
format_version: 0.4.5
inputs:
  - axes: bczyx
    data_range:
      - -.inf
      - .inf
    data_type: float32
    name: raw
    shape:
      - 1
      - 1
      - 100
      - 128
      - 128
license: MIT
name: 3D UNet Lateral Root Primordia Cells
outputs:
  - axes: bczyx
    data_range:
      - 0
      - 1
    data_type: float32
    halo:
      - 0
      - 0
      - 8
      - 16
      - 16
    name: output0
    shape:
      offset:
        - 0
        - 0
        - 0
        - 0
        - 0
      reference_tensor: raw
      scale:
        - 1
        - 1
        - 1
        - 1
        - 1
tags:
  - plantseg
  - unet
  - 3d
  - semantic-segmentation
  - arabidopsis
  - lateral-root
  - cell-membrane
  - plant
  - tissue
  - light-sheet-fluorescence-microscopy
  - pytorch
test_inputs:
  - test_input.npy
test_outputs:
  - test_output.npy
timestamp: '2022-03-11T11:47:10.486314'
type: model
weights:
  pytorch_state_dict:
    architecture: unet.py:UNet3D
    architecture_sha256: 2da9f7149e144b63fee715fb8fe5154e96bf9aa230d176c91e923d528ef0c4e1
    dependencies: conda:environment.yaml
    kwargs:
      f_maps: 32
      final_sigmoid: true
      in_channels: 1
      is_segmentation: true
      layer_order: gcr
      num_groups: 8
      out_channels: 1
      testing: true
    sha256: b8acbc7a6125bc5fc9109ca5126511e04d78dfebf6f983a8bf7f591ccdcb18a0
    source: unet3d-lateral-root-lightsheet-ds1x.pytorch
config: {}
rdf_source: ./rdf.yaml
links:
  - imjoy/BioImageIO-Packager
version: 0.1.0
